<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('custom_cards', function (Blueprint $table) {
            $table->boolean('show_button')->default(false)->after('link_id');
            $table->string('button_text')->nullable()->after('show_button');
            $table->string('button_link')->nullable()->after('button_text');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('custom_cards', function (Blueprint $table) {
            $table->dropColumn(['show_button', 'button_text', 'button_link']);
        });
    }
};
